CREATE TABLE irc_mp_gigs_b (
    GIG_ID                     NUMBER(18, 0) ,
    GIG_NUMBER                 VARCHAR2(960) ,
    GIG_MANAGER_PERSON_ID      NUMBER(18, 0) ,
    CREATOR_PERSON_ID          NUMBER(18, 0) ,
    START_DATE                 TIMESTAMP(6)  ,
    END_DATE                   TIMESTAMP(6)  ,
    PUBLISH_DATE               TIMESTAMP(6)  ,
    TIME_COMMITMENT            NUMBER(3, 0)  ,
    STATUS_CODE                VARCHAR2(120) ,
    ORGANIZATION_ID            NUMBER(18, 0) ,
    GEOGRAPHY_NODE_ID          NUMBER(18, 0) ,
    REMOTE_OPPORTUNITY_FLAG    VARCHAR2(4)   ,
    OBJECT_STATUS              VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LOCATION_ID                NUMBER(18, 0) ,
    PROFILE_ID                 NUMBER(18, 0) ,
    OPENINGS_COUNT             NUMBER(9, 0)      NOT NULL,
    FILLED_COUNT               NUMBER(9, 0)      NOT NULL,
    CLASSIFY_ORG_ID            NUMBER(18, 0) ,
    CLASSIFY_BU_ID             NUMBER(18, 0) ,
    CLASSIFY_JOB_FAMILY_ID     NUMBER(18, 0) ,
    CLASSIFY_JOB_FUNC_CODE     VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    ATTRIBUTE_CHAR1            VARCHAR2(4000),
    ATTRIBUTE_CHAR2            VARCHAR2(4000),
    ATTRIBUTE_CHAR3            VARCHAR2(4000),
    ATTRIBUTE_CHAR4            VARCHAR2(4000),
    ATTRIBUTE_CHAR5            VARCHAR2(4000),
    ATTRIBUTE_CHAR6            VARCHAR2(4000),
    ATTRIBUTE_CHAR7            VARCHAR2(4000),
    ATTRIBUTE_CHAR8            VARCHAR2(4000),
    ATTRIBUTE_CHAR9            VARCHAR2(4000),
    ATTRIBUTE_CHAR10           VARCHAR2(4000),
    ATTRIBUTE_CHAR11           VARCHAR2(4000),
    ATTRIBUTE_CHAR12           VARCHAR2(4000),
    ATTRIBUTE_CHAR13           VARCHAR2(4000),
    ATTRIBUTE_CHAR14           VARCHAR2(4000),
    ATTRIBUTE_CHAR15           VARCHAR2(4000),
    ATTRIBUTE_CHAR16           VARCHAR2(4000),
    ATTRIBUTE_CHAR17           VARCHAR2(4000),
    ATTRIBUTE_CHAR18           VARCHAR2(4000),
    ATTRIBUTE_CHAR19           VARCHAR2(4000),
    ATTRIBUTE_CHAR20           VARCHAR2(4000),
    ATTRIBUTE_CHAR21           VARCHAR2(4000),
    ATTRIBUTE_CHAR22           VARCHAR2(4000),
    ATTRIBUTE_CHAR23           VARCHAR2(4000),
    ATTRIBUTE_CHAR24           VARCHAR2(4000),
    ATTRIBUTE_CHAR25           VARCHAR2(4000),
    ATTRIBUTE_CHAR26           VARCHAR2(4000),
    ATTRIBUTE_CHAR27           VARCHAR2(4000),
    ATTRIBUTE_CHAR28           VARCHAR2(4000),
    ATTRIBUTE_CHAR29           VARCHAR2(4000),
    ATTRIBUTE_CHAR30           VARCHAR2(4000),
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_DATE6            DATE          ,
    ATTRIBUTE_DATE7            DATE          ,
    ATTRIBUTE_DATE8            DATE          ,
    ATTRIBUTE_DATE9            DATE          ,
    ATTRIBUTE_DATE10           DATE          ,
    ATTRIBUTE_TIMESTAMP1       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10      TIMESTAMP(6)  ,
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ATTRIBUTE_NUMBER6          NUMBER        ,
    ATTRIBUTE_NUMBER7          NUMBER        ,
    ATTRIBUTE_NUMBER8          NUMBER        ,
    ATTRIBUTE_NUMBER9          NUMBER        ,
    ATTRIBUTE_NUMBER10         NUMBER        ,
    ATTRIBUTE_NUMBER11         NUMBER        ,
    ATTRIBUTE_NUMBER12         NUMBER        ,
    ATTRIBUTE_NUMBER13         NUMBER        ,
    ATTRIBUTE_NUMBER14         NUMBER        ,
    ATTRIBUTE_NUMBER15         NUMBER        ,
    ATTRIBUTE_NUMBER16         NUMBER        ,
    ATTRIBUTE_NUMBER17         NUMBER        ,
    ATTRIBUTE_NUMBER18         NUMBER        ,
    ATTRIBUTE_NUMBER19         NUMBER        ,
    ATTRIBUTE_NUMBER20         NUMBER        ,
    GIG_ID                     NUMBER(18, 0) ,
    GIG_NUMBER                 VARCHAR2(960) ,
    CREATOR_PERSON_ID          NUMBER(18, 0) ,
    LOCATION_ID                NUMBER(18, 0) ,
    START_DATE                 TIMESTAMP(6)  ,
    END_DATE                   TIMESTAMP(6)  ,
    PUBLISH_DATE               TIMESTAMP(6)  ,
    TIME_COMMITMENT            NUMBER(3, 0)  ,
    STATUS_CODE                VARCHAR2(120) ,
    ORGANIZATION_ID            NUMBER(18, 0) ,
    REMOTE_OPPORTUNITY_FLAG    VARCHAR2(4)   ,
    OBJECT_STATUS              VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    GEOGRAPHY_NODE_ID          NUMBER(18, 0) ,
    PROFILE_ID                 NUMBER(18, 0) ,
    OPENINGS_COUNT             NUMBER(9, 0)      NOT NULL,
    FILLED_COUNT               NUMBER(9, 0)      NOT NULL,
    CLASSIFY_ORG_ID            NUMBER(18, 0) ,
    CLASSIFY_BU_ID             NUMBER(18, 0) ,
    CLASSIFY_JOB_FAMILY_ID     NUMBER(18, 0) ,
    CLASSIFY_JOB_FUNC_CODE     VARCHAR2(120) ,
    GIG_MANAGER_PERSON_ID      NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    ATTRIBUTE_CHAR1            VARCHAR2(4000),
    ATTRIBUTE_CHAR2            VARCHAR2(4000),
    ATTRIBUTE_CHAR3            VARCHAR2(4000),
    ATTRIBUTE_CHAR4            VARCHAR2(4000),
    ATTRIBUTE_CHAR5            VARCHAR2(4000),
    ATTRIBUTE_CHAR6            VARCHAR2(4000),
    ATTRIBUTE_CHAR7            VARCHAR2(4000),
    ATTRIBUTE_CHAR8            VARCHAR2(4000),
    ATTRIBUTE_CHAR9            VARCHAR2(4000),
    ATTRIBUTE_CHAR10           VARCHAR2(4000),
    ATTRIBUTE_CHAR11           VARCHAR2(4000),
    ATTRIBUTE_CHAR12           VARCHAR2(4000),
    ATTRIBUTE_CHAR13           VARCHAR2(4000),
    ATTRIBUTE_CHAR14           VARCHAR2(4000),
    ATTRIBUTE_CHAR15           VARCHAR2(4000),
    ATTRIBUTE_CHAR16           VARCHAR2(4000),
    ATTRIBUTE_CHAR17           VARCHAR2(4000),
    ATTRIBUTE_CHAR18           VARCHAR2(4000),
    ATTRIBUTE_CHAR19           VARCHAR2(4000),
    ATTRIBUTE_CHAR20           VARCHAR2(4000),
    ATTRIBUTE_CHAR21           VARCHAR2(4000),
    ATTRIBUTE_CHAR22           VARCHAR2(4000),
    ATTRIBUTE_CHAR23           VARCHAR2(4000),
    ATTRIBUTE_CHAR24           VARCHAR2(4000),
    ATTRIBUTE_CHAR25           VARCHAR2(4000),
    ATTRIBUTE_CHAR26           VARCHAR2(4000),
    ATTRIBUTE_CHAR27           VARCHAR2(4000),
    ATTRIBUTE_CHAR28           VARCHAR2(4000),
    ATTRIBUTE_CHAR29           VARCHAR2(4000),
    ATTRIBUTE_CHAR30           VARCHAR2(4000),
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_DATE6            DATE          ,
    ATTRIBUTE_DATE7            DATE          ,
    ATTRIBUTE_DATE8            DATE          ,
    ATTRIBUTE_DATE9            DATE          ,
    ATTRIBUTE_DATE10           DATE          ,
    ATTRIBUTE_TIMESTAMP1       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10      TIMESTAMP(6)  ,
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ATTRIBUTE_NUMBER6          NUMBER        ,
    ATTRIBUTE_NUMBER7          NUMBER        ,
    ATTRIBUTE_NUMBER8          NUMBER        ,
    ATTRIBUTE_NUMBER9          NUMBER        ,
    ATTRIBUTE_NUMBER10         NUMBER        ,
    ATTRIBUTE_NUMBER11         NUMBER        ,
    ATTRIBUTE_NUMBER12         NUMBER        ,
    ATTRIBUTE_NUMBER13         NUMBER        ,
    ATTRIBUTE_NUMBER14         NUMBER        ,
    ATTRIBUTE_NUMBER15         NUMBER        ,
    ATTRIBUTE_NUMBER16         NUMBER        ,
    ATTRIBUTE_NUMBER17         NUMBER        ,
    ATTRIBUTE_NUMBER18         NUMBER        ,
    ATTRIBUTE_NUMBER19         NUMBER        ,
    ATTRIBUTE_NUMBER20         NUMBER        ,
    CONSTRAINT pk_irc_mp_gigs_b PRIMARY KEY (GIG_ID, GIG_ID)
);
